/// <reference types="react" />
import { SearchableDropdownElement } from '@equinor/fusion-wc-searchable-dropdown';
import { ComponentProps } from '@equinor/fusion-react-utils';
declare type ElementAttributes = Partial<Pick<SearchableDropdownElement, 'label' | 'placeholder' | 'variant' | 'meta' | 'selected' | 'initialText' | 'trailingIcon'>>;
declare type ElementEvents = {
    onAction?: (e: Event) => void;
};
declare type ElementProps = ElementAttributes & ElementEvents;
export declare type DropdownProps = ComponentProps<SearchableDropdownElement, ElementProps>;
export declare const Dropdown: import("react").ForwardRefExoticComponent<import("@equinor/fusion-react-utils").ComponentAttributes<SearchableDropdownElement> & Partial<Pick<SearchableDropdownElement, "label" | "placeholder" | "variant" | "meta" | "selected" | "initialText" | "trailingIcon">> & ElementEvents & import("react").RefAttributes<SearchableDropdownElement>>;
export default Dropdown;
//# sourceMappingURL=Dropdown.d.ts.map